FIX::MemoryStoreFactory Class Reference

Creates a memory based implementation of MessageStore. More...

`#include <MessageStore.h>`

Inheritance diagram for FIX::MemoryStoreFactory:
[legend]
Collaboration diagram for FIX::MemoryStoreFactory:
[legend]

## Public Member Functions

MessageStore * | create (const SessionID &)
void | destroy (MessageStore *)
Public Member Functions inherited from FIX::MessageStoreFactory
virtual | ~MessageStoreFactory ()

## Detailed Description

Creates a memory based implementation of MessageStore.

This will lose all data on process termination. This class should only be used for test applications, never in production.

Definition at line 72 of file MessageStore.h.

## Member Function Documentation

## create()

MessageStore * FIX::MemoryStoreFactory::create | ( | const SessionID & |  | ) |

virtual

Implements FIX::MessageStoreFactory.

Definition at line 47 of file MessageStore.cpp.

{

## destroy()

void FIX::MemoryStoreFactory::destroy | ( | MessageStore * | pStore | ) |

virtual

Implements FIX::MessageStoreFactory.

Definition at line 52 of file MessageStore.cpp.

The documentation for this class was generated from the following files:

- MessageStore.h
- MessageStore.cpp